# Generated from RubyInlineWithoutZenTest-3.12.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name RubyInlineWithoutZenTest

Name: rubygem-%{gem_name}
Version: 3.12.4.1
Release: 1%{?dist}
Summary: RubyInline without the ZenTest dependency
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 4.7
# BuildRequires: rubygem(minitest) < 5
BuildArch: noarch

%description
See https://github.com/seattlerb/zentest/issues/28. Tired of wasting time with
ZenTest.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Manifest.txt
%{gem_instdir}/demo
%{gem_instdir}/example.rb
%{gem_instdir}/example2.rb
%{gem_libdir}
%{gem_instdir}/tutorial
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/README.txt
%{gem_instdir}/Rakefile
%{gem_instdir}/rubyinlinewithoutzentest.gemspec
%{gem_instdir}/test

%changelog
* Wed Sep 15 2021 mockbuilder - 3.12.4.1-1
- Initial package
